Package proton :: Module utils :: Class BlockingConnection

[frames] | no frames]

# Class BlockingConnection

source code

    object --+
             |
       Handler --+
                 |
                BlockingConnection

A synchronous style connection wrapper.

Instance Methods

__init__(self, url, timeout=None, container=None, ssl_domain=None, heartbeat=None) x.__init__(...) initializes x; see help(type(x)) for signature | source code

create_sender(self, address, handler=None, name=None, options=None) | source code

create_receiver(self, address, credit=None, dynamic=False, handler=None, name=None, options=None) | source code

close(self) | source code

run(self) Hand control over to the event loop (e.g. | source code

wait(self, condition, timeout=False, msg=None) Call process until condition() is true | source code

on_link_remote_close(self, event) | source code

on_connection_remote_close(self, event) | source code

on_transport_tail_closed(self, event) | source code

on_transport_closed(self, event) | source code

Inherited from `Handler`: `on_unhandled` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, url, timeout=None, container=None, ssl_domain=None, heartbeat=None)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Overrides: object.__init__
  (inherited documentation)

### run(self)

source code

Hand control over to the event loop (e.g. if waiting indefinitely for incoming messages)